import type { ApplicationType } from './routes/application.type'

/**
 * Sorts applications by creation date in descending order.
 *
 * @param applications - The array of applications to sort.
 * @returns A new sorted array of applications.
 */
export const sortApplicationsByCreationDate = (
  applications: ApplicationType[]
): ApplicationType[] => {
  return [...applications].sort((first, second) =>
    second.created_at.localeCompare(first.created_at)
  )
}
