export interface Transaction {
  status: 'new' | 'pending' | 'success' | 'failed' | 'aborted'
  app_id: number
  app_name: string
  product_id: number
}

export interface QuotaDepletion {
  quota_id: number
  plan_id: number
  plan_name: string
  app_id: number
  app_name: string
  product_id: number
  product_name: string
  units_now: number
  units_start: number
  leftover_percentage: number
  leftover_threshold: number
}

export interface QuotaExpiration {
  quota_id: number
  plan_id: number
  plan_name: string
  app_id: number
  app_name: string
  product_id: number
  product_name: string
  expires_in: number
  expiration_date: string
}

export interface ConsoleNotification {
  id: number
  user_id: string
  event: string
  timestamp: string
  data: Transaction | QuotaDepletion | QuotaExpiration
  created_at: string
  updated_at?: string
}

export interface ConsoleNotificationResponse {
  notifications: ConsoleNotification[]
}
