export interface Product {
  id: number
  name: string
  category?: unknown
  version: string
  deleted: boolean
  created_at: string
  updated_at?: string
}

export interface Capability {
  id: number
  key: string
  product?: unknown
  name: string
  quota_type: string
  unit_name: string
  created_at: string
  updated_at?: string
}

export interface TemplateQuota {
  id: number
  plan?: unknown
  capability: Capability
  type: string
  name: string
  duration: string
  units_start: number
  created_at: string
  updated_at?: string
  base_price?: unknown
}

export interface Plan {
  id: number
  product: Product
  name: string
  price: number
  type: string
  is_hidden: boolean
  template_quotas: TemplateQuota[]
  created_at: string
  updated_at?: string
}
