export interface GetTransactionsParams {
  page: number
  perPage: number
  status: Array<'success' | 'pending' | 'new'>
  productId: string
}

export interface TransactionResponse {
  row_count: number
  transactions: Transaction[]
}

export interface Transaction {
  id: number
  order_id: string
  payment_link: string
  method: string
  application?: unknown
  application_id: number
  plan?: unknown
  plan_id: number
  price: number
  status: 'failed' | 'pending' | 'new' | 'success'
  action: string
  created_at: string
  updated_at: string | null
}
